# Release notes for Gluster 3.13.1

This is a bugfix release. The release notes for [3.13.0](3.13.0.md),
contain a listing of all the new features that were added and
bugs fixed in the GlusterFS 3.13 stable release.

## Major changes, features and limitations addressed in this release
**No Major changes**

## Major issues
1. Expanding a gluster volume that is sharded may cause file corruption
    - Sharded volumes are typically used for VM images, if such volumes are
  expanded or possibly contracted (i.e add/remove bricks and rebalance) there
  are reports of VM images getting corrupted.
    - The last known cause for corruption (Bug #1515434) is still under review.
    - Status of this bug can be tracked here, [#1515434](https://bugzilla.redhat.com/1515434)


## Bugs addressed

Bugs addressed since release-3.13.0 are listed below.

- [#1428060](https://bugzilla.redhat.com/1428060): write-behind: Allow trickling-writes to be configurable, fix usage of page_size and window_size
- [#1520232](https://bugzilla.redhat.com/1520232): Rebalance fails on NetBSD because fallocate is not implemented
- [#1522710](https://bugzilla.redhat.com/1522710): Directory listings on fuse mount are very slow due to small number of getdents() entries
- [#1523046](https://bugzilla.redhat.com/1523046): glusterd consuming high memory
- [#1523456](https://bugzilla.redhat.com/1523456): Store allocated objects in the mem_acct
- [#1527275](https://bugzilla.redhat.com/1527275): feature/bitrot: remove internal xattrs from lookup cbk
- [#1527699](https://bugzilla.redhat.com/1527699): rdma transport may access an obsolete item in gf_rdma_device_t->all_mr, and causes glusterfsd/glusterfs process crash.
