# Release notes for Gluster 3.13.2

This is a bugfix release. The release notes for [3.13.0](3.13.0.md) and [3.13.1](3.13.1.md),
contain a listing of all the new features that were added and
bugs fixed in the GlusterFS 3.13 stable release.

## Major changes, features and limitations addressed in this release
**No Major changes**

## Major issues
1. FIXED: Expanding a gluster volume that is sharded may cause file corruption
    - Sharded volumes are typically used for VM images, if such volumes were
  expanded or possibly contracted (i.e add/remove bricks and rebalance) there
  are reports of VM images getting corrupted.
    - The last known cause for corruption ([#1515434](https://bugzilla.redhat.com/1515434)) is still fixed with
    this release.

## Bugs addressed

Bugs addressed since release-3.13.1 are listed below.

- [#1511293](https://bugzilla.redhat.com/1511293): In distribute volume after glusterd restart, brick goes offline
- [#1515434](https://bugzilla.redhat.com/1515434): dht_(f)xattrop does not implement migration checks
- [#1516313](https://bugzilla.redhat.com/1516313): Bringing down data bricks in cyclic order results in arbiter brick becoming the source for heal.
- [#1529055](https://bugzilla.redhat.com/1529055): Test case ./tests/bugs/bug-1371806_1.t is failing
- [#1529084](https://bugzilla.redhat.com/1529084): fstat returns ENOENT/ESTALE
- [#1529094](https://bugzilla.redhat.com/1529094): /usr/sbin/glusterfs crashing on Red Hat OpenShift Container Platform node
- [#1530449](https://bugzilla.redhat.com/1530449): glustershd fails to start on a volume force start after a brick is down
- [#1531371](https://bugzilla.redhat.com/1531371): Use after free in cli_cmd_volume_create_cbk
- [#1533023](https://bugzilla.redhat.com/1533023): [Disperse] Implement open fd heal for disperse volume
- [#1534842](https://bugzilla.redhat.com/1534842): entries not getting cleared post healing of softlinks (stale entries showing up in heal info)
- [#1535438](https://bugzilla.redhat.com/1535438): Take full lock on files in 3 way replication
- [#1536294](https://bugzilla.redhat.com/1536294): Random GlusterFSD process dies during rebalance
